require 'rails_helper'

RSpec.describe "crm/dining_queues/edit", type: :view do
  before(:each) do
    @crm_dining_queue = assign(:crm_dining_queue, Crm::DiningQueue.create!(
      :name => "MyString",
      :contact => "MyString",
      :queue_no => "MyString"
    ))
  end

  it "renders the edit crm_dining_queue form" do
    render

    assert_select "form[action=?][method=?]", crm_dining_queue_path(@crm_dining_queue), "post" do

      assert_select "input[name=?]", "crm_dining_queue[name]"

      assert_select "input[name=?]", "crm_dining_queue[contact]"

      assert_select "input[name=?]", "crm_dining_queue[queue_no]"
    end
  end
end
